Skip to main content

Live Price

Fetch the current live price of a supported asset.

Endpoint

GET https://api.metafide.io/v1/surge/games/live-price

Query Parameters

ParameterTypeRequiredDescription
assetstringYesThe asset to fetch the price for (e.g. BTC_USDT)

Headers

HeaderValue
Accept*/*
x-api-keyYour Metafide API key

Example Request

// Node 18+ has native fetch — no import needed

const url = 'https://api.metafide.io/v1/surge/games/live-price?asset=BTC_USDT';

const options = {
method: 'GET',
headers: {
'Accept': '*/*',
'x-api-key': 'metafide_11111111111111111111111111111',
},
};

try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}

Response

{
"timestamp": 1771506616000,
"value": 66341.927
}

Response Fields

FieldTypeDescription
timestampnumberUnix timestamp in milliseconds of when the price was recorded
valuenumberThe current live price of the asset in USDT